#' spiro: Work with data from cardiopulmonary exercise testing
#'
#' The spiro package enables a fast workflow with raw files from metabolic
#' carts/spiroergometry systems. It provides simple tools for data import,
#' processing, summary and visualization.
#'
#' @section Main functions:
#' \itemize{
#'   \item Use \code{\link{spiro}} for import and processing of cardiopulmonary
#'   exercise testing data.
#'   \item Use \code{\link{spiro_summary}} and \code{\link{spiro_max}} for
#'     a stepwise summary or the maximum parameter values of the
#'     imported data.
#'   \item Use \code{\link{spiro_plot}} to visualize the data.
#' }
#'
#' @name spiro-package
#' @docType package
NULL
